Actualizează un produs în magazin
const url = 'https://prod.store-management.glovo.alb.app.onlineservice.io/api/v3/item/modify/stores/example/products/example';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"price":10,"available":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://prod.store-management.glovo.alb.app.onlineservice.io/api/v3/item/modify/stores/example/products/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "price": 10, "available": true }'Authorizations
Secțiune intitulată „Authorizations”Parameters
Secțiune intitulată „Parameters”Path Parameters
Secțiune intitulată „Path Parameters”Request Bodyrequired
Secțiune intitulată „Request Bodyrequired”The payload for update
object
Prețul nou al produsului în magazin. Dacă valoarea nu este prezentă sau este nulă, nu va fi actualizată.
Example
10Flag care indică dacă produsul este disponibil în magazin. Dacă valoarea nu este prezentă sau este nulă, nu va fi actualizată.
Example
trueResponses
Secțiune intitulată „Responses”Produs actualizat cu succes
object
Unique identifier of the attribute within a store
Product name
Product price
Url of the main product image. Must use HTTPS protocol.
Product description
Specifies if the product is available to be purchased
Example
{ "id": "burger1", "name": "Burger Large", "price": "10.0", "image_url": "https://server.com/image", "description": "A large cheeseburger", "available": true}Payload sau parametri invalizi
object
Unique identifier of the attribute within a store
Example
burger1Product name
Example
Burger LargeProduct price
Example
10.0Url of the main product image. Must use HTTPS protocol.
Example
https://server.com/imageProduct description
Example
A large cheeseburgerSpecifies if the product is available to be purchased
Example
trueNeautorizat
object
Unique identifier of the attribute within a store
Example
burger1Product name
Example
Burger LargeProduct price
Example
10.0Url of the main product image. Must use HTTPS protocol.
Example
https://server.com/imageProduct description
Example
A large cheeseburgerSpecifies if the product is available to be purchased
Example
trueEroare internă a serverului
object
Unique identifier of the attribute within a store
Example
burger1Product name
Example
Burger LargeProduct price
Example
10.0Url of the main product image. Must use HTTPS protocol.
Example
https://server.com/imageProduct description
Example
A large cheeseburgerSpecifies if the product is available to be purchased
Example
true